org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Class PParameter

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PParameter

-     public class PParameter
      extends java.lang.Object

  A descriptor for declared PQuery parameters. A parameter has a name, a declared type and a direction constraint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PParameter(java.lang.String name)`
    `PParameter(java.lang.String name, java.lang.String typeName)`
    `PParameter(java.lang.String name, java.lang.String typeName, IInputKey declaredUnaryType)`
    `PParameter(java.lang.String name, java.lang.String typeName, IInputKey declaredUnaryType, PParameterDirection direction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `IInputKey` | `getDeclaredUnaryType()` Yield an `IInputKey` representation of the type declared for this parameter.
    `PParameterDirection` | `getDirection()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getTypeName()` Returns a textual representation of the declared type of the parameter
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PParameter

          public PParameter(java.lang.String name)

    - #### PParameter

          public PParameter(java.lang.String name,
                            java.lang.String typeName)

    - #### PParameter

          public PParameter(java.lang.String name,
                            java.lang.String typeName,
                            IInputKey declaredUnaryType)

    - #### PParameter

          public PParameter(java.lang.String name,
                            java.lang.String typeName,
                            IInputKey declaredUnaryType,
                            PParameterDirection direction)

      Since:
        1.4

  - ### Method Detail

    - #### getDirection

          public PParameterDirection getDirection()

      Returns:
        the direction
      Since:
        1.4

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the parameter

    - #### getTypeName

          public java.lang.String getTypeName()

      Returns a textual representation of the declared type of the parameter
      Returns:
        the type description, or null if not available

    - #### getDeclaredUnaryType

          public IInputKey getDeclaredUnaryType()

      Yield an `IInputKey` representation of the type declared for this parameter.
      Returns:
        the unary type that was declared on this parameter in the query header, or null if not available

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`